---
title: widths
slug: Web/SVG/Attribute/widths
tags:
  - Deprecated
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}{{deprecated_header("SVG 2")}}</div>

<p><span class="seoSummary">The <strong><code>widths</code></strong> attribute indicates a list of range values, each followed by one or more {{Glossary("glyph")}} widths.</span></p>

<p>Only one element is using this attribute: {{SVGElement("font-face")}}</p>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code><a href="/en-US/docs/Web/SVG/Content_type#Number">&lt;number&gt;</a></code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><em>None</em></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>No</td>
  </tr>
 </tbody>
</table>

<dl>
 <dt><code>&lt;number&gt;</code></dt>
 <dd>This value is a comma-separated list of UCS range values as defined in <a class="noxref" href="https://www.iso.org/standard/29819.html" rel="biblioentry"><span class="normref">ISO 10646</span></a>, each followed by one or more glyph widths.</dd>
 <dd>If this attribute is used, the {{SVGAttr("units-per-em")}} attribute must also be used.
 <p>If the range is omitted, a range of U+0-7FFFFFFF is assumed which covers all characters and their glyphs. If not enough glyph widths are given, the last in the list is replicated to cover that range. If too many widths are provided, the extras are ignored.</p>
 </dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG1.1", "fonts.html#FontFaceElementWidthsAttribute", "widths")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.elements.font-face.widths")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a class="noxref" href="https://www.iso.org/standard/29819.html" rel="biblioentry"><span class="normref">ISO 10646</span></a></li>
</ul>
